#include "Othello.h"

/* ---------------------------------------
	}EX̍W̃~bg
 --------------------------------------- */

int Cursol_limit( POINT *pt)
{
	if( pt->x < 0) { 
		pt->x = 0;
	}

	if( pt->x >= BOARD_X_SIZE) {
		pt->x = BOARD_X_SIZE - 1;
	}

	if( pt->y < 0) { 
		pt->y = 0;
	}

	if( pt->y >= BOARD_Y_SIZE) {
		pt->y = BOARD_Y_SIZE - 1;
	}

return 0;
}


/* ---------------------------------------
	}EX̍W̃~bg
 --------------------------------------- */
int Cursol_click()
{
int x,y;

	for( x=0; x < LINE_COUNT; x++) {
		for( y=0; y < LINE_COUNT; y++) {
			othello_board[y][x].cursol = 0;
		}
	}

	Cursol_limit(&board_pt);
	othello_board[board_pt.y][board_pt.x].cursol = 1;			// J[\\

	if(othello_board[board_pt.y][board_pt.x].flag)
	{
		return 1;	// ɋ̂Œu܂H

	} else {

		othello_board[board_pt.y][board_pt.x].flag = status_buff[turn_flag].pen_id;	// u

		if( turn_count = game_turn_check()) {	//	R}̔ ^ turn_count ɔ]R}
			game_play_exchange();				//	Ǎ
			game_point_calc();					//	R}𐔂
		} else {
			othello_board[board_pt.y][board_pt.x].flag = PEN_0;		// uR}𖳌ɂ
		}
	}


return 0;
}


/* ---------------------------------------
	}EX̍W
 --------------------------------------- */
int Cursol_mouse(HWND hWnd, WPARAM wParam, LPARAM lParam)	//	}EXړ
{
HDC hdc;

	mouse_pt.x = LOWORD(lParam);	//	}EXW擾
	mouse_pt.y = HIWORD(lParam);	//	}EXW擾

	mouse_pt.x -= DRAW_INIT_X;		//	̍W̒
	mouse_pt.y -= DRAW_INIT_Y;		//	̍W̒

	board_pt.x = mouse_pt.x / LineSize;
	board_pt.y = mouse_pt.y / LineSize;

	//	}EX̍W\B

	hdc = GetDC(hWnd);
	Othello_status(hdc);
	ReleaseDC(hWnd, hdc);

return 0;
}
